By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
440,812 Members | 863 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 440,812 IT Pros & Developers. It's quick & easy.

Harvestman install not working

P: n/a
Hi, I previously had Harvestman installed and working okay, but somehow the
latest version won't install.

I have Python23 installed.

When I attempt to execute the py2exesetup.bat file (on Windows XP), I get:

--------------------------------------------------------------------------------------------------

E:\zips\internet\utilities\HarvestMan-1.4\HarvestMan-1.4.tar\HarvestMan-1.4\Harv
estMan>rem Batch file for creating py2exe executable for Harvestman
usage: install.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
or: install.py --help [cmd1 cmd2 ...]
or: install.py --help-commands
or: install.py cmd --help

error: option --force-imports not recognized
Press any key to continue . . .
------------------------------------------------------------------

Any suggestions?
Thanks

Jul 18 '05 #1
Share this Question
Share on Google+
7 Replies


P: n/a
Hi

Latest version of py2exe does not support the option
--force-imports anymore I think. You can edit the .bat file to remove
that option. It should work.

-Anand

Jul 18 '05 #2

P: n/a
Thanks Anand, (both for Harvestman and for the reply.)
By the way, I did try that, so that the command is:

c:\python23\python.exe install.py py2exe -O2 --packages=encodings

And this time the dist folder was created, but there were only these files
in there:

library.zip
python23.dll
unicodedata.pyd
w9xpopen.exe
zlib.pyd
_sre.pyd

I'll keep trying though.
"Anand" <ab******@gmail.com> wrote in message
news:11**********************@g14g2000cwa.googlegr oups.com...
Hi

Latest version of py2exe does not support the option
--force-imports anymore I think. You can edit the .bat file to remove
that option. It should work.

-Anand

Jul 18 '05 #3

P: n/a
Thanks Anand, (both for writing Harvest, and for the reply.)
By the way, I did try that, so that the command is:

c:\python23\python.exe install.py py2exe -O2 --packages=encodings

And this time the dist folder was created, but there were only these files
in there:

library.zip
python23.dll
unicodedata.pyd
w9xpopen.exe
zlib.pyd
_sre.pyd

I'll keep trying though.
"Anand" <ab******@gmail.com> wrote in message
news:11**********************@g14g2000cwa.googlegr oups.com...
Hi

Latest version of py2exe does not support the option
--force-imports anymore I think. You can edit the .bat file to remove
that option. It should work.

-Anand


Jul 18 '05 #4

P: n/a
Thanks Anand, (both for writing Harvest, and for the reply.)
By the way, I did try that, so that the command is:

c:\python23\python.exe install.py py2exe -O2 --packages=encodings

And this time the dist folder was created, but there were only these files
in there:

library.zip
python23.dll
unicodedata.pyd
w9xpopen.exe
zlib.pyd
_sre.pyd

I'll keep trying though.
"Anand" <ab******@gmail.com> wrote in message
news:11**********************@g14g2000cwa.googlegr oups.com...
Hi

Latest version of py2exe does not support the option
--force-imports anymore I think. You can edit the .bat file to remove
that option. It should work.

-Anand


Jul 18 '05 #5

P: n/a
Thanks Anand, (both for writing Harvest, and for the reply.)
By the way, I did try that, so that the command is:

c:\python23\python.exe install.py py2exe -O2 --packages=encodings

And this time the dist folder was created, but there were only these files
in there:

library.zip
python23.dll
unicodedata.pyd
w9xpopen.exe
zlib.pyd
_sre.pyd

I'll keep trying though.

"Anand" <ab******@gmail.com> wrote in message
news:11**********************@g14g2000cwa.googlegr oups.com...
Hi

Latest version of py2exe does not support the option
--force-imports anymore I think. You can edit the .bat file to remove
that option. It should work.

-Anand

Jul 18 '05 #6

P: n/a
Thanks Anand, (both for writing Harvest, and for the reply.)
By the way, I did try that, so that the command is:

c:\python23\python.exe install.py py2exe -O2 --packages=encodings

And this time the dist folder was created, but there were only these files
in there:

library.zip
python23.dll
unicodedata.pyd
w9xpopen.exe
zlib.pyd
_sre.pyd

I'll keep trying though.

"Anand" <ab******@gmail.com> wrote in message
news:11**********************@g14g2000cwa.googlegr oups.com...
Hi

Latest version of py2exe does not support the option
--force-imports anymore I think. You can edit the .bat file to remove
that option. It should work.

-Anand

Jul 18 '05 #7

P: n/a
First of all, please disregard the extra posts, Anand, I need to really
really get a new newsreader. It kept on giving me an error, making me think
that each sendbutton click wasnt' working.

My mistake, I use the Harvestman.Py in the main folder, of course.

It works fine.
Thanks again.

"Anand" <ab******@gmail.com> wrote in message
news:11**********************@g14g2000cwa.googlegr oups.com...
Hi

Latest version of py2exe does not support the option
--force-imports anymore I think. You can edit the .bat file to remove
that option. It should work.

-Anand

Jul 18 '05 #8

This discussion thread is closed

Replies have been disabled for this discussion.